Summary: Index generator for html formatted HOWTO documents (from the Linux Documentation Project)
Name: howto-utils
Version: 0.2.3
Release: alt4
Group: Text tools

Packager: Maxim Dzumanenko <mvd@altlinux.ru>

License: GPL
BuildArchitectures: noarch
Provides: howto-icons
Requires: sed

Source: %name-%version.tar.bz2
Source2: howto.xpm
Source3: lhowto.xpm
Source4: mhowto.xpm

%description
Linux HOWTOs are detailed documents which describe a specific aspect of
configuring or using Linux.  Linux HOWTOs are a great source of
practical information about your system.  The latest versions of these
documents are located at http://www.linuxdoc.org/docs.html#howto

Currently, availlable tools are :
- makehowtoindex is an index generator for html formatted HOWTO documents.
- makehowtoindex2 is an index generator for html formatted HOWTO documents from *.dsc files

A few icons will be required by the generated index files and other packages
with HOWTOs installed on your system; they are provided by this
package, too.

%prep
%setup -q

%install
mkdir -p $RPM_BUILD_ROOT{%_datadir/doc/HOWTO/HTML/,%_bindir}
install -m 755 makehowtoindex $RPM_BUILD_ROOT%_bindir
install -m 755 makehowtoindex2 $RPM_BUILD_ROOT%_bindir
for i in *.png; do
  install -m 644 $i $RPM_BUILD_ROOT%_datadir/doc/HOWTO/HTML/
done

install -m 755 -d $RPM_BUILD_ROOT%_iconsdir
cat %SOURCE2 > $RPM_BUILD_ROOT%_iconsdir/howto.xpm
install -m 755 -d $RPM_BUILD_ROOT%_liconsdir
cat %SOURCE3 > $RPM_BUILD_ROOT%_liconsdir/howto.xpm
install -m 755 -d $RPM_BUILD_ROOT%_miconsdir
cat %SOURCE4 > $RPM_BUILD_ROOT%_miconsdir/howto.xpm

%files
%doc README COPYING
%_bindir/*
%dir %_datadir/doc/HOWTO/HTML
%_datadir/doc/HOWTO/HTML/*.png
%_iconsdir/*.xpm
%_liconsdir/*.xpm
%_miconsdir/*.xpm

%changelog
* Mon Nov 11 2002 Stanislav Ievlev <inger@altlinux.ru> 0.2.3-alt4
- rebuild

* Thu Mar 19 2002 Maxim Dzumanenko <mvd@altlinux.ru> 0.2.3-alt3
- makehowtoindex2 modified

* Sun Mar 17 2002 Maxim Dzumanenko <mvd@altlinux.ru> 0.2.3-alt2
- makehowtoindex2 added

* Tue Jul 24 2001 Sergie Pugachev <fd_rag@altlinux.ru> 0.2.3-alt1
- new version

* Sat Mar 10 2001 Ivan Zakharyaschev <vanyaz@mccme.ru> 0.2.2-ipl4mdk
- the way the titles are extracted improved (take dsc files into account)

* Fri Mar 09 2001 Ivan Zakharyaschev <vanyaz@mccme.ru> 0.2.2-ipl3mdk
- added possibility of inserting meta-information into the generated
  document (useful for charsets)

* Fri Mar 09 2001 Ivan Zakharyaschev <vanyaz@mccme.ru> 0.2.2-ipl2mdk
- fix duplicate titles for different items in generated lists
- include common howto icons

* Wed Mar 07 2001 Ivan Zakharyaschev <vanyaz@mccme.ru> 0.2.2-ipl1mdk
- updated version from Mdk

* Mon Mar 05 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.2-1mdk
- Merge Etienne Faure patch (Little fix to handle english howto that do
  not have pretty html
  [Last time someone patch an old version and upload it, i'll kill him)

* Thu Mar 01 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.1-1mdk
- let makehowtoindex fix howto location

##########
# Here was an RE release

* Wed Jan 17 2001 AEN <aen@logic.ru>
- RE adaptation

#
##########

* Fri Aug 11 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2-1mdk
- add LN touch

* Fri Aug 11 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.1-1mdk
- little fix to handle greek howto that don't follow LDP naming rules

* Fri Aug 11 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1-1mdk
- initial release

